Loading...
Searching...
No Matches
Rotator Internal API

## Functions

int | frontrot_set_conf (ROT *rot, hamlib_token_t token, const char *val)
| Set a rotator state value from alpha input.
int | frontrot_get_conf (ROT *rot, hamlib_token_t token, char *val, int val_len)
| Query data from a rotator state in alpha form.
int | foreach_opened_rot (int(*cfunc)(ROT *, rig_ptr_t), rig_ptr_t data)
| Executes cfunc on each opened ROT.

## Detailed Description

## Function Documentation

## foreach_opened_rot()

int foreach_opened_rot | ( | int(* | cfunc )(ROT *, rig_ptr_t),
|  | rig_ptr_t | data )

Executes cfunc on each opened ROT.

Parameters

  cfunc | The function to be executed on each ROT.
  data | Data pointer to be passed to cfunc.

Calls cfunc function for each opened ROT. The contents of the opened ROT table is processed in random order according to a function pointed to by cfunc, which is called with two arguments, the first pointing to the ROT handle, the second to a data pointer data.

If data is not needed, then it can be set to NULL. The processing of the opened ROT table is stopped when cfunc returns 0.

Returns
  RIG_OK in all cases.

## frontrot_get_conf()

int frontrot_get_conf | ( | ROT * | rot,
|  | hamlib_token_t | token,
|  | char * | val,
|  | int | val_len )

Query data from a rotator state in alpha form.

Parameters

  rot | The ROT handle.
  token | TOK_... specify which data to query.
  val | Result.

Assumes rot != NULL and val != NULL.

Returns
  RIG_OK or a negative value on error.

Return values

  RIG_OK | TOK_... value queried successfully.
  -RIG_EINVAL | TOK_.. value not queried.

See also
  frontrot_set_conf()

## frontrot_set_conf()

int frontrot_set_conf | ( | ROT * | rot,
|  | hamlib_token_t | token,
|  | const char * | val )

Set a rotator state value from alpha input.

Parameters

  rot | The ROT handle.
  token | TOK_... specify which value to set.
  val | Input.

Assumes rot != NULL and val != NULL.

Returns
  RIG_OK or a negative value on error.

Return values

  RIG_OK | TOK_... value set successfully.
  -RIG_EINVAL | TOK_.. value not set.

See also
  frontrot_get_conf()